Bug 35360 - mkinitrd doesn't add parport_lowlevel when adding ppa.o
mkinitrd doesn't add parport_lowlevel when adding ppa.o
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-09 12:11 EDT by Preston Brown
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 16:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preston Brown 2001-04-09 12:11:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

mkinitrd, when putting ppa (the parallel port scsi module) into the initrd,
fails to add the lowlevel parallel port driver, so when ppa attempts to
load at boot time, you see a bunch of messages about unresolved symbols.

Reproducible: Always
Steps to Reproduce:
1. attach a device which makes use of ppa.o
2. run mkinitrd and point lilo.conf at that initrd
3. boot

Actual Results:  unresolved symbols encountered in /lib/ppa.o (which is the
path to the ppa.o driver on the initrd)

Expected Results:  no unresolved symbols, because the lowlevel parallel
port driver is included in the initrd
Comment 1 Preston Brown 2002-04-05 16:32:12 EST
I just committed a fix for this to CVS and bumped the version number of mkinitrd.  Please 
build it into dist-7.3 if you are confident in the change.
Comment 2 Jeremy Katz 2002-04-05 17:52:52 EST
Added parport as well since it's required by parport_pc and building now
Comment 3 Bill Nottingham 2006-08-04 16:28:07 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.